Public Class DepositForm
  Inherits TransactionForm
  Implements IPrint

  Protected PrintFont As Font

  Protected Sub Print() Implements IPrint.Print
    Dim pd As System.Drawing.Printing.PrintDocument = _
                  New System.Drawing.Printing.PrintDocument()
    PrintFont = New Font("Arial", 10)

    AddHandler pd.PrintPage, AddressOf PrintDeposit

    pd.Print()
  End Sub

  Protected Sub PrintDeposit(ByVal sender As Object, _
                ByVal ev As System.Drawing.Printing.PrintPageEventArgs)

    'Print the deposit form
       ev.Graphics.DrawString("Deposit Form", PrintFont, Brushes.Black, _
                      ev.MarginBounds.Left(),_
                      ev.MarginBounds.Top() + PrintFont.GetHeight())
    ev.Graphics.DrawString("Date: " & DateField.ToString(), PrintFont, _
                   Brushes.Black, ev.MarginBounds.Left(), _
                   ev.MarginBounds.Top() + (PrintFont.GetHeight() * 2))
    ev.Graphics.DrawString("Deposit To: " & DepositToField.ToString(), _
                   PrintFont, Brushes.Black, ev.MarginBounds.Left(), _
                   ev.MarginBounds.Top() + (PrintFont.GetHeight() * 4))
    ev.Graphics.DrawString("Amount: " & AmountField.ToString(), _
                   PrintFont, Brushes.Black, ev.MarginBounds.Left(), _
                   ev.MarginBounds.Top() + (PrintFont.GetHeight() * 5))
       ev.Graphics.DrawString("Memo: " & MemoField.ToString(), _
                      PrintFont, Brushes.Black, ev.MarginBounds.Left(),_
                      ev.MarginBounds.Top() + (PrintFont.GetHeight() * 6))

    ev.HasMorePages = False
  End Sub

   ...

End Class
