Imports System.Reflection

Module Main
    Sub Main()
        ' Set up the variables.
        Dim MyAssembly As System.Reflection.Assembly
        Dim MyObject As Object
        Dim MyHelloType As Type
        Dim PrintHello As MethodInfo

        ' Load the assembly to use.
        MyAssembly = System.Reflection.Assembly.Load("MyComponents")

        ' Get the type to use from the assembly.
        MyHelloType = MyAssembly.GetType("MyComponents.HelloWorld")

        ' Get the method to use from the type.
        PrintHello = MyHelloType.GetMethod("PrintHello")

        ' Create an instance of the type.
        MyObject = Activator.CreateInstance(MyHelloType)

        ' Create an array to hold the arguments.
        Dim args(0) As Object

        ' Set the arguments.
        args(0) = "Reflection Example."

        ' Invoke the method.
        PrintHello.Invoke(MyObject, args)
    End Sub
End Module
