Imports System
Imports System.IO
Imports System.Collections
Imports System.Runtime.Serialization
Imports System.Runtime.Serialization.Formatters.Binary

Class SmartMsg
  Inherits SimpleMsg
  Private strFileName As String
  Public Sub New(ByVal FileName As String)
    'Always good to call MyBases New()
    MyBase.New()
    Me.strFileName = FileName
    Read()
  End Sub

  Public Sub Dispose()
    Write()
  End Sub

  Public Function Write() As Boolean
    'declare a file and serialize class
    Dim MsgFile As Stream
    Dim BinSerialize As BinaryFormatter
    'Set the return value to True
    Write = True
    'Use Try/Catch to handle any errors
    Try
      'Allocate and create a new file and serialize object
      MsgFile = File.Open(strFileName, FileMode.Create)
      BinSerialize = New BinaryFormatter()

      'Serialize the MsgText() property which is a String object
      BinSerialize.Serialize(MsgFile, Me.MsgText())
      MsgFile.Close()
    Catch
      'Indicate an error occurred
      Write = False
    End Try
  End Function

  Public Function Read() As Boolean
    'declare a file and serialize class
    Dim MsgFile As Stream
    Dim BinSerialize As BinaryFormatter
    'Set the return value to True
    Read = True

    Try
      'Allocate and create a new file and serialize object
      MsgFile = File.Open(strFileName, FileMode.Open)
      BinSerialize = New BinaryFormatter()
      'Deserialize the message text from the file into the MsgText property
      Me.MsgText = CType(BinSerialize.Deserialize(MsgFile), String)
      MsgFile.Close()
    Catch
      Read = False
      Me.MsgText = "Type your message here. Click OK. Then run the program again."
    End Try

  End Function

End Class