MustInherit Class GraphicObject
  Protected Dimensions As System.Drawing.Rectangle

  Public Sub New(ByRef Rect As System.Drawing.Rectangle)
    Dimensions = Rect

    Draw()
  End Sub

  Public MustOverride Sub Draw()
End Class

NotInheritable Class Circle
  Inherits GraphicObject

  Public Sub New(ByRef Rect As System.Drawing.Rectangle)
    MyBase.New(Rect)
  End Sub

  Public Overrides Sub Draw()
    'Draw a Circle
  End Sub
End Class

NotInheritable Class Square
  Inherits GraphicObject

  Public Sub New(ByRef Rect As System.Drawing.Rectangle)
    MyBase.New(Rect)
  End Sub

  Public Overrides Sub Draw()
    'Draw a Square
  End Sub
End Class
