Public Sub FillList(ByRef List As ListView)
  'Display a wait cursor since this process can take a while
  Cursor.Current = Cursors.WaitCursor()

  'Query the book list and fill the listview
  Me.Query()
  While Me.Fetch()
    List.Items.Add(Me.Title()).SubItems.AddRange(New System.String() _
        {Me.Author(), Me.Price()})
  End While

  'Change the cursor back to the default
  Cursor.Current = Cursors.Default()
End Sub
