Public Class DepositForm
  Inherits TransactionForm

  Public Sub New()
    MyBase.New()

    'This call is required by the Windows Form Designer.
    InitializeComponent()

    'Add any initialization after the InitializeComponent() call
  End Sub

  Public Overrides Function Save(ByVal FileName As String) As Boolean
    'declare a file and serialize class
    Dim TranFile As Stream
    Dim BinSerialize As BinaryFormatter

    'Call MyBase's Save first and return if an error occurs
    If Not MyBase.Save(FileName) Then
      Return False
    End If

    'Set the return value to True
    Save = True

    'Use Try/Catch to handle any errors
    Try
      'Allocate and open the same file as MyBase.Save() used and
      'serialize object
      TranFile = File.Open(FileName, FileMode.Append)
      BinSerialize = New BinaryFormatter()

      'Serialize the MsgText() property which is a String object
      BinSerialize.Serialize(TranFile, DepositToField.ToString())
    Catch
      'Do nothing
      Save = False
    End Try

    TranFile.Close()
  End Function

   ...
End Class

Public Class WithdrawForm
  Inherits TransactionForm

  Public Sub New()
    MyBase.New()

    'This call is required by the Windows Form Designer.
    InitializeComponent()

    'Add any initialization after the InitializeComponent() call
  End Sub

  Public Overrides Function Save(ByVal FileName As String) As Boolean
    'declare a file and serialize class
    Dim TranFile As Stream
    Dim BinSerialize As BinaryFormatter

    'Call MyBase's Save first and return if an error occurs
    If Not MyBase.Save(FileName) Then
      Return False
    End If

    'Set the return value to True
    Save = True

    'Use Try/Catch to handle any errors
    Try
      'Allocate and open the same file as MyBase.Save() used
      'and serialize object
      TranFile = File.Open(FileName, FileMode.Append)
      BinSerialize = New BinaryFormatter()

      'Serialize the MsgText() property which is a String object
      BinSerialize.Serialize(TranFile, PayToField.ToString())
    Catch
      'Do nothing
      Save = False
    End Try

    TranFile.Close()
  End Function

   ...
End Class
