Public Class WithdrawForm
  Inherits TransactionForm
  Implements IPrint

  Protected Sub Print() Implements IPrint.Print
    Dim pd As System.Drawing.Printing.PrintDocument = _
                   New System.Drawing.Printing.PrintDocument()

    AddHandler pd.PrintPage, AddressOf PrintWithdraw

    pd.Print()
  End Sub

  Protected Sub PrintWithdraw(ByVal sender As Object, _
                ByVal ev As System.Drawing.Printing.PrintPageEventArgs)
    Dim PrintFont As Font = New Font("Arial", 10)

    'Print the deposit form
    ev.Graphics.DrawString("Withdraw Form", PrintFont, Brushes.Black, _
                  ev.MarginBounds.Left(), _
                  ev.MarginBounds.Top() + PrintFont.GetHeight())
    ev.Graphics.DrawString("Date: " & DateField.ToString(), _
                  PrintFont, Brushes.Black, _
                  ev.MarginBounds.Left(), _
                  ev.MarginBounds.Top() + (PrintFont.GetHeight() * 2))
    ev.Graphics.DrawString("Pay To: " & PayToField.ToString(), _
                  PrintFont, Brushes.Black, _
                  ev.MarginBounds.Left(), _
                  ev.MarginBounds.Top() + (PrintFont.GetHeight() * 4))
    ev.Graphics.DrawString("Amount: " & AmountField.ToString(), _
                  PrintFont, Brushes.Black, _
                  ev.MarginBounds.Left(), _
                  ev.MarginBounds.Top() + (PrintFont.GetHeight() * 5))
    ev.Graphics.DrawString("Memo: " & MemoField.ToString(), _
                  PrintFont, Brushes.Black, _
                  ev.MarginBounds.Left(), _
                  ev.MarginBounds.Top() + (PrintFont.GetHeight() * 6))

    ev.HasMorePages = False
  End Sub

   ...

End Class
