Public MustInherit Class TransactionForm
  Inherits System.Windows.Forms.Form

  Public Sub New()
    MyBase.New()

    'This call is required by the Windows Form Designer.
    InitializeComponent()
  End Sub

  'Declare Abstract method to read derived class's data
  Protected MustOverride Sub ReadData( _
           ByRef BinSerialize As BinaryFormatter, ByRef TranFile As Stream)

  'Form overrides dispose to clean up the component list.
  Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    If disposing Then
      If Not (components Is Nothing) Then
        components.Dispose()
      End If
    End If
    MyBase.Dispose(disposing)
  End Sub

  Protected WithEvents AmountField As System.Windows.Forms.TextBox
  Protected WithEvents AmountText As System.Windows.Forms.Label
  Protected WithEvents MemoField As System.Windows.Forms.TextBox
  Protected WithEvents MemoText As System.Windows.Forms.Label
  Protected WithEvents DateField As System.Windows.Forms.TextBox
  Protected WithEvents DateText As System.Windows.Forms.Label

  'Required by the Windows Form Designer
  Protected components As System.ComponentModel.Container

  Protected Overridable Sub InitializeComponent()
    Me.AmountField = New System.Windows.Forms.TextBox()
    Me.AmountText = New System.Windows.Forms.Label()
    Me.MemoField = New System.Windows.Forms.TextBox()
    Me.MemoText = New System.Windows.Forms.Label()
    Me.DateField = New System.Windows.Forms.TextBox()
    Me.DateText = New System.Windows.Forms.Label()
    Me.SuspendLayout()
    '
    'DateField
    '
    Me.DateField.Location = New System.Drawing.Point(320, 16)
    Me.DateField.Name = "DateField"
    Me.DateField.TabIndex = 0
    Me.DateField.Text = ""
    '
    'DateText
    '
    Me.DateText.Location = New System.Drawing.Point(256, 16)
    Me.DateText.Name = "DateText"
    Me.DateText.Size = New System.Drawing.Size(56, 16)
    Me.DateText.TabIndex = 1
    Me.DateText.Text = "Date:"
    '
    'AmountField
    '
    Me.AmountField.Location = New System.Drawing.Point(320, 40)
    Me.AmountField.Name = "AmountField"
    Me.AmountField.TabIndex = 2
    Me.AmountField.Text = ""
    '
    'AmountText
    '
    Me.AmountText.Location = New System.Drawing.Point(256, 42)
    Me.AmountText.Name = "AmountText"
    Me.AmountText.Size = New System.Drawing.Size(56, 16)
    Me.AmountText.TabIndex = 3
    Me.AmountText.Text = "Amount:"
    '
    'MemoField
    '
    Me.MemoField.Location = New System.Drawing.Point(80, 88)
    Me.MemoField.Name = "MemoField"
    Me.MemoField.Size = New System.Drawing.Size(176, 20)
    Me.MemoField.TabIndex = 4
    Me.MemoField.Text = ""
    '
    'MemoText
    '
    Me.MemoText.Location = New System.Drawing.Point(10, 90)
    Me.MemoText.Name = "MemoText"
    Me.MemoText.Size = New System.Drawing.Size(70, 16)
    Me.MemoText.TabIndex = 5
    Me.MemoText.Text = "Memo:"
    '
    'TransactionForm
    '
    Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
    Me.ClientSize = New System.Drawing.Size(456, 133)
    Me.Controls.AddRange(New System.Windows.Forms.Control() _
             {Me.DateText, _
              Me.DateField, _
              Me.MemoText, _
              Me.MemoField, _
              Me.AmountText, _
              Me.AmountField})
    Me.Name = "TransactionForm"
    Me.Text = "Transaction Form"
    Me.ResumeLayout(False)
  End Sub

  '  ...

End Class
