Imports System
Imports System.Runtime.Remoting
Imports System.Runtime.Remoting.Channels
Imports System.Runtime.Remoting.Channels.Tcp
Imports vbServiceObject.RemotingExample

Public Class vbClient

  Public Shared Sub Main()
    Dim args As Array
    args = System.Environment.GetCommandLineArgs()
    Dim valueOne, valueTwo As Integer
    If args.Length = 3 Then
      valueOne = args.GetValue(1)
      valueTwo = args.GetValue(2)
    End If

    Dim chan As TcpChannel
    chan = New TcpChannel()
    ChannelServices.RegisterChannel(chan)

    Dim calc As Calculate
    Try
      calc = CType(Activator.GetObject(GetType(Calculate), _
      "tcp://localhost:8085/Calculate"), Calculate)
    Catch ex As Exception
      Console.WriteLine("Error message: " & ex.Message)
    End Try
    If calc Is Nothing Then
      System.Console.WriteLine("Could not locate server")
    Else
      If args.Length < 3 Then
        System.Console.WriteLine _
        ("Usage: vbClient valueOne valueTwo")
        System.Console.WriteLine("    e.g., vbClient 4 5")
      Else
        Try
          System.Console.WriteLine()
          Console.WriteLine("Calculation result: " & _
            calc.Square(valueOne, valueTwo))
        Catch ex As Exception
          System.Console.WriteLine("Error: " & ex.Message)
        End Try
      End If
    End If

  End Sub

End Class
